# telegram.DataCredentials

class telegram.DataCredentials(data_hash, secret, **_kwargs)

  Bases: `telegram.passport.credentials._CredentialsBase`

  These credentials can be used to decrypt encrypted data from the data field in EncryptedPassportData.

  Parameters

    - data_hash (`str`) – Checksum of encrypted data

    - secret (`str`) – Secret of encrypted data

  hash

    Checksum of encrypted data

    Type

      `str`

  secret

    Secret of encrypted data

    Type

      `str`

  to_dict()

    See `telegram.TelegramObject.to_dict()`.